using MoonWorks.Graphics;

namespace MoonWorksMultiWindow.Graphics
{
    public class RenderTargets
    {
        public RenderTarget ExampleRenderTarget { get; }
		public RenderTarget ExtraWindowRenderTarget { get; }

        public RenderTargets(
            GraphicsDevice graphicsDevice,
            uint renderDimensionsX,
            uint renderDimensionsY
        ) {
            ExampleRenderTarget = RenderTarget.CreateBackedRenderTarget(
                graphicsDevice,
                renderDimensionsX,
                renderDimensionsY,
                TextureFormat.R8G8B8A8,
                false
            );

			ExtraWindowRenderTarget = RenderTarget.CreateBackedRenderTarget(
				graphicsDevice,
				renderDimensionsX,
				renderDimensionsY,
				TextureFormat.R8G8B8A8,
				false
			);
        }
    }
}
